package org.loom.mock;

import java.util.Map;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

public class MockEntityManagerFactory implements EntityManagerFactory {

	private EntityManager entityManager;
	
	public EntityManager createEntityManager() {
		entityManager = new MockEntityManager();
		return entityManager;
	}

	@SuppressWarnings("unchecked")
	public EntityManager createEntityManager(Map arg0) {
		return createEntityManager();
	}

	public boolean isOpen() {
		return entityManager != null;
	}

	public void close() {
		entityManager = null;
	}
	
}
